<div class="d-inline-block m-1 ms-3 text-secondary">
  <LinkTo
    class="btn btn-sm btn-outline-secondary ms-2 btn-show-layout"
    @route="manage.pages.layout"
    @model={{@model.page.id}}
  >
    {{t "edit layout"}}
  </LinkTo>
</div>

<Input::Layout::DeviceSize @value={{@deviceSize}} @onChange={{@onChangeDeviceSize}} />
<Input::Layout::UserVisibilityButton @conditions={{@conditions}} @onChange={{@onChangeConditions}} />

<div class="btn-group float-end m-1 me-3">
  <Input::Button class="btn btn-sm btn-outline-primary btn-save" @action={{@onSave}}>
    {{t "save"}}
  </Input::Button>

  <Input::Button class="btn btn-sm btn-outline-primary btn-copy-page" @action={{@onClone}}>
    {{t "save as a new copy"}}
  </Input::Button>
</div>

<div class="float-end m-1">
  <a href={{this.externalUrl}} target={{@model.page.id}} class="btn btn-sm btn-outline-primary btn-open-page">
    {{t "open"}}
    <FaIcon @icon="arrow-up-right-from-square" class="ms-1" />
  </a>
</div>

<div class="float-end m-1 me-3">
  <button type="button" class="btn btn-sm btn-light btn-config-layout page-visibility" disabled>
    {{#if @model.page.visibility.isPublic}}
      {{t "visibility-public"}}
    {{else}}
      {{t "visibility-private"}}
    {{/if}}
    <VisibilityIcon @value={{@model.page.visibility.isPublic}} />
  </button>
</div>